# PolylineGraphics

#### new Cesium.PolylineGraphics(options)
DataSources/PolylineGraphics.js 41

  Describes a polyline defined as a line strip. The first two positions define a line segment, and each additional position defines a line segment from the previous position. The segments can be linear connected points or great arcs.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `positions` | Property |  | optional A Property specifying the array of `Cartesian3` positions that define the line strip.
  `followSurface` | Property | `true` | optional A boolean Property specifying whether the line segments should be great arcs or linearly connected.
  `width` | Property | `1.0` | optional A numeric Property specifying the width in pixels.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the polyline.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to draw the polyline.
  `granularity` | Property | `Cesium.Math.RADIANS_PER_DEGREE` | optional A numeric Property specifying the angular distance between each latitude and longitude if followSurface is true.
  `shadows` | Property | `ShadowMode.DISABLED` | optional An enum Property specifying whether the polyline casts or receives shadows from each light source.
  `distanceDisplayCondition` | Property |  | optional A Property specifying at what distance from the camera that this polyline will be displayed.

  ##### Demo:

  - Cesium Sandcastle Polyline Demo

  ##### See:

  - Entity

### Members

#### readonlydefinitionChanged : Event
DataSources/PolylineGraphics.js 72

  Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property
DataSources/PolylineGraphics.js 141

  Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this polyline will be displayed.

#### followSurface : Property
DataSources/PolylineGraphics.js 117

  Gets or sets the boolean Property specifying whether the line segments should be great arcs or linearly connected.
  Default Value: `true`

#### granularity : Property
DataSources/PolylineGraphics.js 125

  Gets or sets the numeric Property specifying the angular distance between each latitude and longitude if followSurface is true.
  Default Value: `Cesium.Math.RADIANS_PER_DEGREE`

#### material : MaterialProperty
DataSources/PolylineGraphics.js 92

  Gets or sets the Property specifying the material used to draw the polyline.
  Default Value: `Color.WHITE`

#### positions : Property
DataSources/PolylineGraphics.js 100

  Gets or sets the Property specifying the array of `Cartesian3` positions that define the line strip.

#### shadows : Property
DataSources/PolylineGraphics.js 134

  Get or sets the enum Property specifying whether the polyline casts or receives shadows from each light source.
  Default Value: `ShadowMode.DISABLED`

#### show : Property
DataSources/PolylineGraphics.js 84

  Gets or sets the boolean Property specifying the visibility of the polyline.
  Default Value: `true`

#### width : Property
DataSources/PolylineGraphics.js 108

  Gets or sets the numeric Property specifying the width in pixels.
  Default Value: `1.0`

### Methods

#### clone(result) → PolylineGraphics
DataSources/PolylineGraphics.js 150

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | PolylineGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/PolylineGraphics.js 171

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | PolylineGraphics | The object to be merged into this object.